--
-- MoreBunkersilo Mod by derelky
-- Help to register new fillTypes by Wopster
-- Version 1.0 initial Release LS19

local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)
    if node ~= 0 then
		local maizetable = g_fillTypeManager:getFillTypeByName("CHAFF")
		local maizedex = maizetable.index
		maizetable.windrowName = 'CHAFF'
		maizetable.hasWindrow = true
		maizetable.windrowLiterPerSqm = 4.37
		table.insert(g_fruitTypeManager.windrowFillTypes, maizetable.index, true)
		table.insert(g_fruitTypeManager.fruitTypeIndexToWindrowFillTypeIndex, maizedex, maizetable.index)
		table.insert(g_fruitTypeManager.fillTypeIndexToFruitTypeIndex, maizetable.index, maizedex)
		loadI3DFile(modDirectory .. "particleSystems/effect_materialHolder.i3d")	
		print("Registered materialHolder for fillType chaff")
		local Category = {"WINDROW"}
		for _,k in pairs(Category) do
			g_fillTypeManager:addFillTypeToCategory(maizetable.index, g_fillTypeManager.nameToCategoryIndex[k])	
		end
        g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)			
    end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)